
rm(list=ls()) 

library(multcomp)
library(lattice)
library(MuMIn)
library(gplots)
choose.dir('')
DATA0=read.csv("Data_Tielemanetal_auk2019.csv")
names(DATA0)
DATAbm=droplevels(subset(DATA0,Body.Mass!="NA"))

attach(DATAbm)
names(DATAbm)


# #######################Season:
#only 2 stages (non-breeding and feeding nestlings
DataNoInc=droplevels(subset(DATA0,Stage!="Incubating" & Body.Mass!="NA"))


lmSeason1=lm(Body.Mass~
               Stage+Sex+Year+Season.measurements
               +Season.measurements:Stage,data=DataNoInc,na.action=na.fail)
summary(lmSeason1)
drop1(lmSeason1,test="F")
dr1=dredge(lmSeason1); dr1

summary(model.avg(dr1))

#Stage*Season out
lmSeason2=lm(Body.Mass~
               Stage+Sex+Year+Season.measurements,data=DataNoInc)
summary(lmSeason2)
drop1(lmSeason2,test="F")


#Year out
lmSeason4=lm(Body.Mass~
               Stage+Sex+Season.measurements
             ,data=DataNoInc)
summary(lmSeason4)
drop1(lmSeason4,test="F")



#-sex
lmSeason6=lm(Body.Mass~
                Stage+Season.measurements
              ,data=DataNoInc)
summary(lmSeason6)
drop1(lmSeason6,test="F")

summary(glht(lmSeason6,linfct=mcp(Stage="Tukey")))





#############################
# only wet season, look at effect of stage

DataWet=droplevels(subset(DATA0,Season.measurements=="Wet" & Body.Mass!="NA"))

lmStage2=lm(Body.Mass~
              Stage+Sex+Year
            ,data=DataWet)
summary(lmStage2)
drop1(lmStage2,test="F")



#year out
lmStage3=lm(Body.Mass~
              Stage+Sex
            ,data=DataWet)
summary(lmStage3)
drop1(lmStage3,test="F")

#sex out
lmStage4=lm(Body.Mass~
              Stage
            ,data=DataWet)
summary(lmStage4)
drop1(lmStage4,test="F")

tuk=glht(lmStage4, linfct=mcp(Stage = "Tukey"))
summary(tuk)





