
rm(list=ls()) 
def.par <- par(no.readonly = TRUE)
par(mfrow=c(1,1))

library(lsmeans)
library(multcomp)
library(lattice)
library(MuMIn)
library(gplots)
library(betareg)
library(lmtest)

DATAm=read.csv("Data_Tielemanetal_auk2019.csv")
names(DATAm)
DATA0=droplevels(subset(DATAm,Proportion.Calbicans.Killed>-140))
zerolimCA=DATA0$Proportion.Calbicans.Killed-min(DATA0$Proportion.Calbicans.Killed)+1
DATA0$PrpCA=zerolimCA/max(zerolimCA+0.01)
DATA0$StageR=as.character(DATA0$Stage)
DATA0$StageR[DATA0$StageR=="Prepostnestling"] <-"Aprepost"
plot(DATA0$PrpCA~DATA0$Proportion.Calbicans.Killed)

###############################################################################

################ stage
DataWet=droplevels(subset(DATA0,Season.measurements!="Dry" & Proportion.Calbicans.Killed!="NA"))

BM2=betareg(PrpCA~StageR+Sex
                 , data=DataWet,na.action=na.fail)

BM21=betareg(PrpCA~StageR
            , data=DataWet,na.action=na.omit)

dr1=dredge(BM2);dr1
summary(model.avg(dr1))
AICc(BM2,BM21)
lrtest(BM2,BM21)


BM3=betareg(PrpCA~StageR
                 , data=DataWet,na.action=na.omit)
BM31=betareg(PrpCA~1
             , data=DataWet,na.action=na.omit)
lrtest(BM3,BM31)
levels(DataWet$Sex)


leastsquare = lsmeans(BM3,
                      pairwise ~ StageR,
                      adjust = "tukey")

leastsquare

Grps = cld(leastsquare,
           alpha   = 0.05,
           Letters = letters,       
           adjust  = "tukey")         


Grps

