
rm(list=ls()) 

library(multcomp)
library(lattice)
library(MuMIn)
library(gplots)
library(betareg)
library(lmtest)

DATAm=read.csv("Data_Tielemanetal_auk2019.csv")
names(DATAm)
DATA0=droplevels(subset(DATAm,Proportion.Ecoli.Killed>-180))
zerolimEC=DATA0$Proportion.Ecoli.Killed-min(DATA0$Proportion.Ecoli.Killed)+0.00001
DATA0$PrpEc=zerolimEC/max(zerolimEC+0.00001)



# Season:
#only 2 stages (non-breeding and feeding nestlings
DataNoInc=droplevels(subset(DATA0,Stage!="Incubating" & Proportion.Ecoli.Killed!="NA"))


BM3=betareg(PrpEc~Season.measurements+Stage+Year+Sex+
              Stage:Season.measurements
            , data=DataNoInc,na.action=na.fail)

dr1=dredge(BM3);dr1
summary(model.avg(dr1))
            
BM31=betareg(PrpEc~Season.measurements+Stage+Year+Sex
                , data=DataNoInc,na.action=na.omit)

lrtest(BM31,BM3)

BM4=betareg(PrpEc~Season.measurements+Stage+Year+Sex
            , data=DataNoInc,na.action=na.omit)

BM41=betareg(PrpEc~Season.measurements+Stage+Sex
            , data=DataNoInc,na.action=na.omit)

BM42=betareg(PrpEc~Season.measurements+Stage+Year
            , data=DataNoInc,na.action=na.omit)
AICc(BM4,BM41,BM42)
lrtest(BM4,BM41)

BM5=betareg(PrpEc~Season.measurements+Stage+Sex
             , data=DataNoInc,na.action=na.omit)
BM51=betareg(PrpEc~Season.measurements+Stage
            , data=DataNoInc,na.action=na.omit)

lrtest(BM5,BM51)

BM6=betareg(PrpEc~Stage+Season.measurements
            , data=DataNoInc,na.action=na.omit)
BM6a=betareg(PrpEc~Stage
             , data=DataNoInc,na.action=na.omit)
BM6b=betareg(PrpEc~Season.measurements
             , data=DataNoInc,na.action=na.omit)
lrtest(BM6,BM6a)
lrtest(BM6,BM6b)


################ stage
DataWet=droplevels(subset(DATA0,Season.measurements!="Dry" & Proportion.Ecoli.Killed!="NA"))


BM11=betareg(PrpEc~Stage+Year+Sex
            , data=DataWet,na.action=na.fail)

dr11=dredge(BM11);dr11
summary(model.avg(dr11))

BM2=betareg(PrpEc~Stage+Year+Sex
                 , data=DataWet,na.action=na.omit)

BM21=betareg(PrpEc~Stage+Sex
            , data=DataWet,na.action=na.omit)

BM22=betareg(PrpEc~Stage+Year
             , data=DataWet,na.action=na.omit)

AICc(BM2,BM21,BM22)
lrtest(BM2,BM21)
lrtest(BM2,BM22)

BM3=betareg(PrpEc~Stage+Sex
                 , data=DataWet,na.action=na.omit)
BM31=betareg(PrpEc~Stage
             , data=DataWet,na.action=na.omit)
lrtest(BM3,BM31)

BM4=betareg(PrpEc~Stage
             , data=DataWet,na.action=na.omit)
BM41=betareg(PrpEc~1
            , data=DataWet,na.action=na.omit)

lrtest(BM41,BM4)

