
rm(list=ls()) 

library(multcomp)
library(lattice)
library(MuMIn)
library(gplots)
library(betareg)
library(lmtest)

DATA0=read.csv("Data_Tielemanetal_auk2019.csv")
names(DATA0)
attach(DATA0)
DATA0$PrpHLr=H.L.ratio/max(na.omit(H.L.ratio)+0.000001)
plot(H.L.ratio~PrpHLr,DATA0)


# Season:
#only 2 stages (non-breeding and feeding nestlings
DataNoInc=droplevels(subset(DATA0,Stage!="Incubating" & H.L.ratio!="NA"))


BM3=betareg(PrpHLr~Season.measurements+Stage+Year+Sex+
              Season.measurements:Stage
            , data=DataNoInc,na.action=na.fail)

dr1=dredge(BM3);dr1
summary(model.avg(dr1))
            
BM31=betareg(PrpHLr~Season.measurements+Stage+Year+Sex
                , data=DataNoInc,na.action=na.omit)

lrtest(BM31,BM3)

BM4=betareg(PrpHLr~Season.measurements+Stage+Year+Sex
            , data=DataNoInc,na.action=na.omit)

BM41=betareg(PrpHLr~Season.measurements+Stage+Sex
            , data=DataNoInc,na.action=na.omit)

BM42=betareg(PrpHLr~Season.measurements+Stage+Year
            , data=DataNoInc,na.action=na.omit)
AICc(BM4,BM41,BM42)
lrtest(BM4,BM42)

BM5=betareg(PrpHLr~Season.measurements+Stage+Year
             , data=DataNoInc,na.action=na.omit)
BM51=betareg(PrpHLr~Season.measurements+Stage
            , data=DataNoInc,na.action=na.omit)

lrtest(BM5,BM51)

BM6=betareg(PrpHLr~Stage+Season.measurements
            , data=DataNoInc,na.action=na.omit)
BM6a=betareg(PrpHLr~Stage
             , data=DataNoInc,na.action=na.omit)
BM6b=betareg(PrpHLr~Season.measurements
             , data=DataNoInc,na.action=na.omit)
lrtest(BM6,BM6a)
lrtest(BM6,BM6b)


################ stage
DataWet=droplevels(subset(DATA0,Season.measurements!="Dry" & H.L.ratio!="NA"))

BM1=betareg(PrpHLr~Stage+Year+Sex, data=DataWet,na.action=na.fail)
summary(BM1)
dr1=dredge(BM1);dr1
summary(model.avg(dr1))


BM2=betareg(PrpHLr~Stage+Year+Sex
                 , data=DataWet,na.action=na.omit)

BM21=betareg(PrpHLr~Stage+Sex
            , data=DataWet,na.action=na.omit)

BM22=betareg(PrpHLr~Stage+Year
             , data=DataWet,na.action=na.omit)

AICc(BM2,BM21,BM22)
lrtest(BM2,BM21)
lrtest(BM2,BM22)

BM3=betareg(PrpHLr~Stage+Sex
                 , data=DataWet,na.action=na.omit)
BM31=betareg(PrpHLr~Stage
             , data=DataWet,na.action=na.omit)
lrtest(BM3,BM31)

BM4=betareg(PrpHLr~Stage
             , data=DataWet,na.action=na.omit)
BM41=betareg(PrpHLr~1
            , data=DataWet,na.action=na.omit)

lrtest(BM41,BM4)

