
rm(list=ls()) 

library(multcomp)
library(lattice)
library(MuMIn)
library(gplots)
library(betareg)
library(lmtest)

DATA0=read.csv("Data_Tielemanetal_auk2019.csv")
names(DATA0)
attach(DATA0)
DATA0$PrpSAph=SAPhag/100


# Season:
#only 2 stages (non-breeding and feeding nestlings)
DataNoInc=droplevels(subset(DATA0,Stage!="Incubating" & SAPhag!="NA"))



BM3=betareg(PrpSAph~Season.measurements+Stage+Sex+
              Season.measurements:Stage
            , data=DataNoInc,na.action=na.fail)

dr1=dredge(BM3);dr1
summary(model.avg(dr1))
            
BM31=betareg(PrpSAph~Season.measurements+Stage+Sex
                , data=DataNoInc,na.action=na.omit)

lrtest(BM31,BM3)

BM4=betareg(PrpSAph~Season.measurements+Stage+Sex
            , data=DataNoInc,na.action=na.omit)

BM41=betareg(PrpSAph~Stage+Season.measurements
              , data=DataNoInc,na.action=na.omit)

AICc(BM4,BM41)
lrtest(BM4,BM41)

BM6=betareg(PrpSAph~Stage+Season.measurements, data=DataNoInc,na.action=na.omit)
BM6a=betareg(PrpSAph~Stage
             , data=DataNoInc,na.action=na.omit)
BM6b=betareg(PrpSAph~Season.measurements
             , data=DataNoInc,na.action=na.omit)

lrtest(BM6,BM6a)
lrtest(BM6,BM6b)



