
rm(list=ls()) 

library(multcomp)
library(lattice)
library(MuMIn)
library(gplots)
library(betareg)
library(lmtest)

DATAm=read.csv("Data_Tielemanetal_auk2019.csv")
names(DATAm)
DATA0=droplevels(subset(DATAm,Proportion.Staph.Killed>-140))
zerolimSA=DATA0$Proportion.Staph.Killed-min(DATA0$Proportion.Staph.Killed)+1
DATA0$PrpSA=zerolimSA/max(zerolimSA+0.01)

plot(DATA0$PrpSA~DATA0$Proportion.Staph.Killed)

#############################################################

################ stage
DataWet=droplevels(subset(DATA0,Season.measurements!="Dry" & Proportion.Staph.Killed!="NA"& Proportion.Staph.Killed>-140))

BM1=betareg(PrpSA~Stage+Sex,na.action=na.fail,data=DataWet)

summary(BM1)
dr1=dredge(BM1);dr1
summary(model.avg(dr1))

BM11=betareg(PrpSA~Stage+Sex
            , data=DataWet,na.action=na.omit)
AICc(BM1,BM11)
lrtest(BM11,BM1)

BM2=betareg(PrpSA~Stage+Sex
                 , data=DataWet,na.action=na.omit)

BM21=betareg(PrpSA~Stage
            , data=DataWet,na.action=na.omit)

summary(BM21)
AICc(BM2,BM21)
lrtest(BM2,BM21)


BM3=betareg(PrpSA~Stage
                 , data=DataWet,na.action=na.omit)
BM31=betareg(PrpSA~1
             , data=DataWet,na.action=na.omit)
lrtest(BM3,BM31)


